Get Manual Activity Sheet Properties
GET /ws/rest/service/v2/activity/sheet/activitysheet
Available: 25.10 and later
Purpose
Retrieves the properties of a Manual Activity Sheet in a Unifier project or shell. It returns the key configuration and scheduling details associated with the selected activity sheet.
Note:
There is no http "PUT" for this REST service.Prerequisites
Ensure the manual activity sheet exists.
Request Format for Manual Activity Sheet
To get the properties of a manual activity sheet, send a request in the following format:
ws/rest/service/v2/activity/sheet/properties?project_number=<value>&activity_sheet_name=<value>
Query Parameters
Specify the following parameters in the request:
| Request Parameter | Required? | Data Type | Description |
|---|---|---|---|
| project_number | Yes | String | A valid project/shell with an Active status to get Assignments data of Activities |
| activity_sheet_name | Yes | String | The name of the activity sheet in the Activity Manager. |
Response Format
A JSON object is returned in the following format:
{
"data": [],
"message": [<list of messages>],
"status": <REST status code value>,
"rest_audit_id": <id from the audit table>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Success Request
To retrieve properties of a specific manual activity sheet, send a request in the following format:
{hosturl}/ws/rest/service/v2/activity/sheet/activitysheet?project_number=P-0014&activity_sheet_name=SheetAct
Sample Success Response
A successful response with a status code displays in the following format:
{
"data": {
"calendar": "Project/Shell Calendar",
"schedule_type": "Duration",
"planning_rate_sheet": "Master Rate Sheet",
"uuu_P6ETCComputeType": 1,
"timezone": "America/Los_Angeles",
"uuu_P6ETCUserValue": 0.0,
"act_id_suffix": "1000",
"act_sch_data_date": "2025-06-24",
"description": null,
"created_by": "Company Administrator",
"act_id_prefix": "A",
"act_id_incr": 10,
"act_sch_start_date": "2025-06-25",
"status": "Active",
"uuu_duration_type": "Fixed Duration"
},
"message": ["success"],
"rest_audit_id": 912,
"status": 200
}
Sample Failed Request
The following request fails to retrieve the manual activity sheet properties as the sheet may not exist:
{hosturl}/ws/rest/service/v2/activity/sheet/activitysheet?project_number=P-0014&activity_sheet_name=SheetActNew
Sample Failed Response
The following response is returned for the above failed request:
{
"data": [],
"message": ["Activity sheet name, [activity_sheet_name] does not exist as a manual sheet in Unifier. Check if this name has been configured as a manual sheet in Unifier."],
"rest_audit_id"
: 914,
"status"
: 12013
}
Supported Validation Messages and Status Codes
The following validation messages and status codes display in the response when incorrect values are provided in the request:
| Field Name | Use-case Scenario | Status Code | Error Message |
|---|---|---|---|
| project_number | project_number is not specified. | 12018 | Provide a project number to proceed. The field [project_number] is required. |
| project_number | project_number is invalid. | 602 | The project number you entered, [project_number], is not recognized. Double-check the number and try again. |
| project_number | project_numberis inactive. | 12020 | The project number [project_number] is currently inactive or on-hold . Verify its status in Unifier before proceeding. |
| project_number | project_number is empty or blank. | 12128 | The project number field is empty. Enter a valid project number. |
| activity_sheet_name | For a manual sheet type, the activity_sheet_name is missing in the request. | 12012 | Activity sheet name [activity_sheet_name] is missing from the request. |
| activity_sheet_name | activity_sheet_name does not exist. | 12013 | Activity sheet name, [activity_sheet_name] does not exist as a manual sheet in Unifier. Check if this name has been configured as a manual sheet in Unifier. |
| activity_sheet_name | activity_sheet_name exceeds 250 characters. | 12017 | Activity sheet name, [activitySheetName] , exceeds the maximum allowed length of [50] characters. |
| activity_sheet_name | activity_sheet_name is empty. | 12703 | Activity sheet name cannot be empty. |